Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 693696 - dev-lang/swig-4.0.2 released
Summary: dev-lang/swig-4.0.2 released
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Scheme Project
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2019-09-07 19:29 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2020-07-01 02:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2019-09-07 19:29:24 UTC
dev-lang/swig-4.0.1 was released on 2019-08-21.
https://sourceforge.net/p/swig/news/2019/08/swig-401-released/
"""
・ SWIG now cleans up on error by removing all generated files.
・ Add Python 3.8 support.
・ Python Sphinx compatibility added for Doxygen comments.
・ Some minor regressions introduced in 4.0.0 were fixed.
・ Fix some C++17 compatibility problems in Python and Ruby generated code.
・ Minor improvements/fixes for C#, Java, Javascript, Lua, MzScheme, Ocaml, Octave and Python.
"""


Please set HOMEPAGE="http://www.swig.org/ https://github.com/swig/swig".
Please add <remote-id type="github">swig/swig</remote-id> to <upstream> tag in metadata.xml.
Comment 1 Arfrever Frehtes Taifersar Arahesis 2020-06-11 22:52:58 UTC
dev-lang/swig-4.0.2 was released on 2020-06-08.
https://sourceforge.net/p/swig/news/2020/06/swig-402-released/
"""
・ A few fixes around doxygen comment handling.
・ Ruby 2.7 support added.
・ Various minor improvements to C#, D, Java, OCaml, Octave, Python, R, Ruby.
・ Considerable performance improvement running SWIG on large interface files.
"""